Scientific Linux Security Update : java-1.8.0-openjdk on SL6.x i386/x86_64

Medium Nessus Plugin ID 111258

Synopsis

The remote Scientific Linux host is missing one or more security updates.

Description

Security Fix(es) :

- OpenJDK: insufficient index validation in PatternSyntaxException getMessage() (Concurrency, 8199547) (CVE-2018-2952)

Solution

Update the affected packages.

See Also

http://www.nessus.org/u?bfdb71eb

Plugin Details

Severity: Medium

ID: 111258

File Name: sl_20180723_java_1_8_0_openjdk_on_SL6_x.nasl

Version: 1.3

Type: local

Agent: unix

Published: 2018/07/24

Modified: 2018/09/04

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

CVSS v3.0

Base Score: 3.7

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L

Vulnerability Information

CPE: x-cpe:/o:fermilab:scientific_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2018/07/23

Reference Information

CVE: CVE-2018-2952